package com.muyu.marketing.domain.model;/**
 * @Author：尚志豪
 * @Package：com.muyu.marketing.domain.model
 * @Project：2204a-cloud-server-DongZeLiang
 * @name：ActivityTeamProductSkuInfoModel
 * @Date：2024/11/26 16:03
 */

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.math.BigDecimal;

/**
 * @program: 2204a-cloud-server-DongZeLiang
 * @description: 商品活动SKU信息模型
 * @author: CuiFu Bo
 * @create: 2024-11-26 16:03
 **/
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class ActivityTeamProductSkuInfoModel {

    /**
     * 团购商品SKU的ID
     */
    private Long id;
    /**
     * 团Id
     */
    private Long teamId;
    /**
     * 商品Id
     */
    private Long productId;
    /**
     * 规格SKU
     */
    private String sku;
    /**
     * 拼团价格
     */
    private BigDecimal teamPrice;
    /**
     * 拼团库存
     */
    private Long teamStock;
}
